import os
path1=os.path.abspath('.')  
import torch
from Sample.neighbor_sampler import NeighborSampler
from DistGraphLoader import DistGraphData
from DistGraphLoader import DistributedDataLoader
from torch_geometric.data import Data
import distparser
from DistCustomPool import CustomPool
import DistCustomPool

"""
test command 
python test.py --world_size 2 --rank 0 
--world_size', default=4, type=int, metavar='W',
                    help='number of workers')
parser.add_argument('--rank', default=0, type=int, metavar='W',
                    help='rank of the worker')
parser.add_argument('--log_interval', type=int, default=10, metavar='N',
                    help='interval between training status logs')
parser.add_argument('--gamma', type=float, default=0.99, metavar='G',
                    help='how much to value future rewards')
parser.add_argument('--seed', type=int, default=1, metavar='S',
                    help='random seed  for reproducibility')
parser.add_argument('--num_sampler', type=int, default=10, metavar='S',
                    help='number of samplers')
parser.add_argument('--queue_size', type=int, default=10, metavar='S',
                    help='sampler queue size')
"""
if __name__ == "__main__":
    DistCustomPool.init_distribution('127.0.0.1',9663,'127.0.0.1',10001)
    graph = DistGraphData('/home/sxx/zlj/rpc_ps/part/metis_2')
    sampler=NeighborSampler(edge_index=graph.edge_index, num_nodes=graph.num_nodes, num_layers=2, workers=2, fanout=[2, 1])
    loader = DistributedDataLoader('test',graph,graph.data.train_mask,sampler = sampler,batch_size = 5)
    for batch_data in(loader):
        print(batch_data.__repr__)